package projectzombie.menu.gui;

import gl_engine.vec.Vec2d;
import projectzombie.settings.Settings;

public class GUIButtonSetting extends GUIButtonBasic
{

	public GUIButtonSetting(String text, GUIButtonCallback callback) {
		super(text, callback);
		
		this.setAlign(GUIAlignment.RIGHT);
	}
	
	@Override
	public void onMouseClick(Vec2d pos) {
		super.onMouseClick(pos);
		
		Settings.update();
	}

}
